Subject: [NSIS] NSLPs and Information (Code) Objects

From: Jukka MJ Manner <[email-masked]>
Date: Wed, 11 Mar 2009 12:06:32 +0200 (EET)

Dear all,

I was looking at the NSLP specs (out with Magnus, though) and the 
so-called Information Object in both NSLPs are rather close to each other.

- Both have a 4-bit error class
- Error code in QoS is 16 bits, Response code in NATFW is 8 bits
- Many of error class-specific situations are alike

1. Would it make sense, when (if) the NSLPs are being accepted, to create 
a common IANA repository for NSLP error codes, e.g., an 8-bit value, and 
also the error class could be unified?

2. The QoS NSLP allows carrying the address of the node that noticed the 
error, and also send the erroneous object back to the sender. Would this 
functionality be needed in the NATFW, too?

These are not big changes as such, but might we worth considering.

Any feedback from the WG?

Regards,
Jukka